Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network244.40.46.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
244.40.46.0
Broadcast address
244.40.47.255
First usable
244.40.46.1
Last usable
244.40.47.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F4282E00 · Integer 4096273920 to 4096274431
Reverse DNS zones
46.40.244.in-addr.arpa
47.40.244.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110100.00101000.00101110.00000000244.40.46.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11110100.00101000.00101110.00000000244.40.46.0
Broadcast11110100.00101000.00101111.11111111244.40.47.255
Split into smaller subnets/30

244.40.46.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1244.40.46.0/30244.40.46.1 to 244.40.46.2244.40.46.32
2244.40.46.4/30244.40.46.5 to 244.40.46.6244.40.46.72
3244.40.46.8/30244.40.46.9 to 244.40.46.10244.40.46.112
4244.40.46.12/30244.40.46.13 to 244.40.46.14244.40.46.152
5244.40.46.16/30244.40.46.17 to 244.40.46.18244.40.46.192
6244.40.46.20/30244.40.46.21 to 244.40.46.22244.40.46.232
7244.40.46.24/30244.40.46.25 to 244.40.46.26244.40.46.272
8244.40.46.28/30244.40.46.29 to 244.40.46.30244.40.46.312
9244.40.46.32/30244.40.46.33 to 244.40.46.34244.40.46.352
10244.40.46.36/30244.40.46.37 to 244.40.46.38244.40.46.392
11244.40.46.40/30244.40.46.41 to 244.40.46.42244.40.46.432
12244.40.46.44/30244.40.46.45 to 244.40.46.46244.40.46.472
13244.40.46.48/30244.40.46.49 to 244.40.46.50244.40.46.512
14244.40.46.52/30244.40.46.53 to 244.40.46.54244.40.46.552
15244.40.46.56/30244.40.46.57 to 244.40.46.58244.40.46.592
16244.40.46.60/30244.40.46.61 to 244.40.46.62244.40.46.632
17244.40.46.64/30244.40.46.65 to 244.40.46.66244.40.46.672
18244.40.46.68/30244.40.46.69 to 244.40.46.70244.40.46.712
19244.40.46.72/30244.40.46.73 to 244.40.46.74244.40.46.752
20244.40.46.76/30244.40.46.77 to 244.40.46.78244.40.46.792
21244.40.46.80/30244.40.46.81 to 244.40.46.82244.40.46.832
22244.40.46.84/30244.40.46.85 to 244.40.46.86244.40.46.872
23244.40.46.88/30244.40.46.89 to 244.40.46.90244.40.46.912
24244.40.46.92/30244.40.46.93 to 244.40.46.94244.40.46.952
25244.40.46.96/30244.40.46.97 to 244.40.46.98244.40.46.992
26244.40.46.100/30244.40.46.101 to 244.40.46.102244.40.46.1032
27244.40.46.104/30244.40.46.105 to 244.40.46.106244.40.46.1072
28244.40.46.108/30244.40.46.109 to 244.40.46.110244.40.46.1112
29244.40.46.112/30244.40.46.113 to 244.40.46.114244.40.46.1152
30244.40.46.116/30244.40.46.117 to 244.40.46.118244.40.46.1192
31244.40.46.120/30244.40.46.121 to 244.40.46.122244.40.46.1232
32244.40.46.124/30244.40.46.125 to 244.40.46.126244.40.46.1272
33244.40.46.128/30244.40.46.129 to 244.40.46.130244.40.46.1312
34244.40.46.132/30244.40.46.133 to 244.40.46.134244.40.46.1352
35244.40.46.136/30244.40.46.137 to 244.40.46.138244.40.46.1392
36244.40.46.140/30244.40.46.141 to 244.40.46.142244.40.46.1432
37244.40.46.144/30244.40.46.145 to 244.40.46.146244.40.46.1472
38244.40.46.148/30244.40.46.149 to 244.40.46.150244.40.46.1512
39244.40.46.152/30244.40.46.153 to 244.40.46.154244.40.46.1552
40244.40.46.156/30244.40.46.157 to 244.40.46.158244.40.46.1592
41244.40.46.160/30244.40.46.161 to 244.40.46.162244.40.46.1632
42244.40.46.164/30244.40.46.165 to 244.40.46.166244.40.46.1672
43244.40.46.168/30244.40.46.169 to 244.40.46.170244.40.46.1712
44244.40.46.172/30244.40.46.173 to 244.40.46.174244.40.46.1752
45244.40.46.176/30244.40.46.177 to 244.40.46.178244.40.46.1792
46244.40.46.180/30244.40.46.181 to 244.40.46.182244.40.46.1832
47244.40.46.184/30244.40.46.185 to 244.40.46.186244.40.46.1872
48244.40.46.188/30244.40.46.189 to 244.40.46.190244.40.46.1912
49244.40.46.192/30244.40.46.193 to 244.40.46.194244.40.46.1952
50244.40.46.196/30244.40.46.197 to 244.40.46.198244.40.46.1992
51244.40.46.200/30244.40.46.201 to 244.40.46.202244.40.46.2032
52244.40.46.204/30244.40.46.205 to 244.40.46.206244.40.46.2072
53244.40.46.208/30244.40.46.209 to 244.40.46.210244.40.46.2112
54244.40.46.212/30244.40.46.213 to 244.40.46.214244.40.46.2152
55244.40.46.216/30244.40.46.217 to 244.40.46.218244.40.46.2192
56244.40.46.220/30244.40.46.221 to 244.40.46.222244.40.46.2232
57244.40.46.224/30244.40.46.225 to 244.40.46.226244.40.46.2272
58244.40.46.228/30244.40.46.229 to 244.40.46.230244.40.46.2312
59244.40.46.232/30244.40.46.233 to 244.40.46.234244.40.46.2352
60244.40.46.236/30244.40.46.237 to 244.40.46.238244.40.46.2392
61244.40.46.240/30244.40.46.241 to 244.40.46.242244.40.46.2432
62244.40.46.244/30244.40.46.245 to 244.40.46.246244.40.46.2472
63244.40.46.248/30244.40.46.249 to 244.40.46.250244.40.46.2512
64244.40.46.252/30244.40.46.253 to 244.40.46.254244.40.46.2552
65244.40.47.0/30244.40.47.1 to 244.40.47.2244.40.47.32
66244.40.47.4/30244.40.47.5 to 244.40.47.6244.40.47.72
67244.40.47.8/30244.40.47.9 to 244.40.47.10244.40.47.112
68244.40.47.12/30244.40.47.13 to 244.40.47.14244.40.47.152
69244.40.47.16/30244.40.47.17 to 244.40.47.18244.40.47.192
70244.40.47.20/30244.40.47.21 to 244.40.47.22244.40.47.232
71244.40.47.24/30244.40.47.25 to 244.40.47.26244.40.47.272
72244.40.47.28/30244.40.47.29 to 244.40.47.30244.40.47.312
73244.40.47.32/30244.40.47.33 to 244.40.47.34244.40.47.352
74244.40.47.36/30244.40.47.37 to 244.40.47.38244.40.47.392
75244.40.47.40/30244.40.47.41 to 244.40.47.42244.40.47.432
76244.40.47.44/30244.40.47.45 to 244.40.47.46244.40.47.472
77244.40.47.48/30244.40.47.49 to 244.40.47.50244.40.47.512
78244.40.47.52/30244.40.47.53 to 244.40.47.54244.40.47.552
79244.40.47.56/30244.40.47.57 to 244.40.47.58244.40.47.592
80244.40.47.60/30244.40.47.61 to 244.40.47.62244.40.47.632
81244.40.47.64/30244.40.47.65 to 244.40.47.66244.40.47.672
82244.40.47.68/30244.40.47.69 to 244.40.47.70244.40.47.712
83244.40.47.72/30244.40.47.73 to 244.40.47.74244.40.47.752
84244.40.47.76/30244.40.47.77 to 244.40.47.78244.40.47.792
85244.40.47.80/30244.40.47.81 to 244.40.47.82244.40.47.832
86244.40.47.84/30244.40.47.85 to 244.40.47.86244.40.47.872
87244.40.47.88/30244.40.47.89 to 244.40.47.90244.40.47.912
88244.40.47.92/30244.40.47.93 to 244.40.47.94244.40.47.952
89244.40.47.96/30244.40.47.97 to 244.40.47.98244.40.47.992
90244.40.47.100/30244.40.47.101 to 244.40.47.102244.40.47.1032
91244.40.47.104/30244.40.47.105 to 244.40.47.106244.40.47.1072
92244.40.47.108/30244.40.47.109 to 244.40.47.110244.40.47.1112
93244.40.47.112/30244.40.47.113 to 244.40.47.114244.40.47.1152
94244.40.47.116/30244.40.47.117 to 244.40.47.118244.40.47.1192
95244.40.47.120/30244.40.47.121 to 244.40.47.122244.40.47.1232
96244.40.47.124/30244.40.47.125 to 244.40.47.126244.40.47.1272
97244.40.47.128/30244.40.47.129 to 244.40.47.130244.40.47.1312
98244.40.47.132/30244.40.47.133 to 244.40.47.134244.40.47.1352
99244.40.47.136/30244.40.47.137 to 244.40.47.138244.40.47.1392
100244.40.47.140/30244.40.47.141 to 244.40.47.142244.40.47.1432
101244.40.47.144/30244.40.47.145 to 244.40.47.146244.40.47.1472
102244.40.47.148/30244.40.47.149 to 244.40.47.150244.40.47.1512
103244.40.47.152/30244.40.47.153 to 244.40.47.154244.40.47.1552
104244.40.47.156/30244.40.47.157 to 244.40.47.158244.40.47.1592
105244.40.47.160/30244.40.47.161 to 244.40.47.162244.40.47.1632
106244.40.47.164/30244.40.47.165 to 244.40.47.166244.40.47.1672
107244.40.47.168/30244.40.47.169 to 244.40.47.170244.40.47.1712
108244.40.47.172/30244.40.47.173 to 244.40.47.174244.40.47.1752
109244.40.47.176/30244.40.47.177 to 244.40.47.178244.40.47.1792
110244.40.47.180/30244.40.47.181 to 244.40.47.182244.40.47.1832
111244.40.47.184/30244.40.47.185 to 244.40.47.186244.40.47.1872
112244.40.47.188/30244.40.47.189 to 244.40.47.190244.40.47.1912
113244.40.47.192/30244.40.47.193 to 244.40.47.194244.40.47.1952
114244.40.47.196/30244.40.47.197 to 244.40.47.198244.40.47.1992
115244.40.47.200/30244.40.47.201 to 244.40.47.202244.40.47.2032
116244.40.47.204/30244.40.47.205 to 244.40.47.206244.40.47.2072
117244.40.47.208/30244.40.47.209 to 244.40.47.210244.40.47.2112
118244.40.47.212/30244.40.47.213 to 244.40.47.214244.40.47.2152
119244.40.47.216/30244.40.47.217 to 244.40.47.218244.40.47.2192
120244.40.47.220/30244.40.47.221 to 244.40.47.222244.40.47.2232
121244.40.47.224/30244.40.47.225 to 244.40.47.226244.40.47.2272
122244.40.47.228/30244.40.47.229 to 244.40.47.230244.40.47.2312
123244.40.47.232/30244.40.47.233 to 244.40.47.234244.40.47.2352
124244.40.47.236/30244.40.47.237 to 244.40.47.238244.40.47.2392
125244.40.47.240/30244.40.47.241 to 244.40.47.242244.40.47.2432
126244.40.47.244/30244.40.47.245 to 244.40.47.246244.40.47.2472
127244.40.47.248/30244.40.47.249 to 244.40.47.250244.40.47.2512
128244.40.47.252/30244.40.47.253 to 244.40.47.254244.40.47.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses